Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 29 May 2015 12:38:07 +0200

Eli Zaretskii <[email-masked]> writes:

> I will need snapshots of all you see, because I cannot even begin
> debugging without seeing the exact pictures.
>
> Mode line is not handled in the patches I made, so it's little wonder
> you see what you see.  (Does someone actually use Latin Modern Math as
> the default font? it's an ugly font, AFAICS, and I expect it to be
> used only for math stuff that the main font doesn't cover.)

Of course I don't use it. I've added it to `face-ignored-fonts'. But
since you want to make a better fix, I did
(set-frame-font "Latin Modern Math") to check everything.

>> Additionally, these chars are bad: \\|, λ.
>
> Any special character you see look bad, please make sure with "C-u C-x ="
> with which font it's displayed.

OK, they are: 0x2228 and 0x03BB.

>
>> And all lines in Buffer-menu-mode are super-tall, just like the mode
>> line.
>
> Recipe, please.  Starting from "emacs -Q", as usual.

Eval (set-frame-font "Latin Modern Math"), and "C-x C-b".